import 'dart:io' as io;
import 'option.dart';

class Terminal{
  const Terminal();

  void printPrompt(String text){
    io.stdout.writeln(text);
  }

  String collectInput(){
    return io.stdin.readLineSync();
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((int index,Option option){
      printPrompt('[$index] - ${option.label}');
    }); 
    
    printPrompt('Enter a choice\n');
    printPrompt('>');
  }

  void clearScreen() {
    print(io.Platform.operatingSystem);
    if(io.Platform.isWindows) {
      io.stdout.write('\x1B[2J\x1B[0f');
    } else {
      io.stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}